set define off

INSERT INTO MARACUJA.FONCTION (
   FON_CATEGORIE, FON_ID_INTERNE, FON_LIBELLE, 
   FON_ORDRE, FON_SPEC_GESTION, FON_DESCRIPTION) 
VALUES ( 
	   'Prélèvements', --FON_CATEGORIE, 
	   'PRELEV',-- FON_ID_INTERNE, 
	   'Gestion des prélèvements',--FON_LIBELLE, 
   	   558,-- FON_ORDRE, 
	   'N',--FON_SPEC_GESTION, 
	   'Gestion des prélèvements'-- FON_DESCRIPTION)
	   );
INSERT INTO MARACUJA.FONCTION (
   FON_CATEGORIE, FON_ID_INTERNE, FON_LIBELLE, 
   FON_ORDRE, FON_SPEC_GESTION, FON_DESCRIPTION) 
VALUES ( 
	   'Administration', --FON_CATEGORIE, 
	   'BDFCAL',-- FON_ID_INTERNE, 
	   'Gestion du calendrier BDF',--FON_LIBELLE, 
   	   559,-- FON_ORDRE, 
	   'N',--FON_SPEC_GESTION, 
	   'Gestion du calendrier BDF'-- FON_DESCRIPTION)
	   );
	   	   	   	   

update MARACUJA.mode_recouvrement set mod_dom='CHEQUE' WHERE MOD_LIBELLE='CHEQUE';

INSERT INTO MARACUJA.MODE_RECOUVREMENT (
   EXE_ORDRE, MOD_LIBELLE, MOD_ORDRE, 
   PCO_NUM_PAIEMENT, PCO_NUM_VISA, MOD_VALIDITE, 
   MOD_CODE, MOD_EMA_AUTO, MOD_DOM) 
VALUES ( 2006, 'ECHEANCIER', MARACUJA.mode_recouvrement_seq.nextval ,
'5118'    , null, 'VALIDE',
  70  , 0, 'ECHEANCIER');


INSERT INTO MARACUJA.TYPE_JOURNAL (TJO_LIBELLE, TJO_ORDRE) VALUES ( 'JOURNAL EXERCICE RECOUVREMENT',17 );
INSERT INTO MARACUJA.TYPE_OPERATION (   TOP_LIBELLE, TOP_ORDRE, TOP_TYPE) VALUES ( 'RECOUVREMENT',13 ,'PRIVE' );

INSERT INTO MARACUJA.PARAMETRE (EXE_ORDRE, PAR_DESCRIPTION, PAR_KEY, PAR_ORDRE, PAR_VALUE) VALUES (2006 , 'Contre partie des recettes a l''agence ou a la composante', 'CONTRE PARTIE VISA RECETTE', MARACUJA.parametre_seq.nextval , 'COMPOSANTE');

INSERT INTO MARACUJA.TYPE_NUMEROTATION ( TNU_ENTITE, TNU_LIBELLE, TNU_ORDRE ) VALUES ( 'RECOUVREMENT', 'RECOUVREMENT', 13); 

INSERT INTO MARACUJA.TYPE_RECOUVREMENT ( TREC_ORDRE, TREC_LIBELLE, TREC_VALIDITE, MOD_DOM,TREC_FORMAT ) VALUES (1, 'PRELEV BDF', 'O', 'ECHEANCIER', 'BDF'); 


INSERT INTO MARACUJA.PRELEVEMENT_PARAM_BDF ( 
	PPB_ORDRE, 
	TREC_ORDRE, 
	PPB_C3, 
	PPB_C41, 
	PPB_C42, 
	PPB_C5, 
	PPB_C6,
	PPB_ETAT, 
	PPB_COMPTE_TPG )  ( SELECT 
	   TVI_ORDRE, 
		1, 
		VPB_C3, 
	   VPB_C41,
		VPB_C42,
		VPB_C5,
		'N/A',
		'VALIDE',
		VPB_COMPTE_TPG 
FROM MARACUJA.VIREMENT_PARAM_BDF
WHERE VPB_ETAT = 'VALIDE'); 


update maracuja.plan_comptable set pco_budgetaire='O' where pco_niveau=2 and substr(pco_num,1,1) in ('6','7');



commit;
-- TODO : modifier la valeur du champ PRELEVEMENT_PARAM_BDF.ppb_C6 pour indiquer le numéro national d'émétteur (6 caractères)



